Main Page Modules Class Hierarchy Compound List File List Compound Members

# NEDSymbolTable Class Reference

`#include <nedcompiler.h>`

List of all members.

## Public Methods

| NEDSymbolTable ()
| ~NEDSymbolTable ()
void | add (NEDElement *node)
NEDElement* | getChannelDeclaration (const char *name)
NEDElement* | getModuleDeclaration (const char *name)
NEDElement* | getNetworkDeclaration (const char *name)
NEDElement* | getEnumDeclaration (const char *name)
NEDElement* | getClassDeclaration (const char *name)

## Protected Attributes

NEDMap | channels
NEDMap | modules
NEDMap | networks
NEDMap | enums
NEDMap | classes

## Detailed Description

For fast lookup of module, channel, etc names. To be used with NEDCompiler. Typically a new instance is needed for each NEDCompiler invocation.

The documentation for this class was generated from the following file:

- nedcompiler.h